#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )

add_subdirectory( devices )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kmobile )

tde_create_translated_desktop(
  SOURCE kmobile.desktop
  PO_DIR kmobile-desktops
)

tde_create_translated_desktop(
  SOURCE libkmobile.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR kmobile-desktops
)

install( FILES kmobileui.rc DESTINATION ${DATA_INSTALL_DIR}/kmobile )


##### kmobile (executable) ######################

tde_add_executable( kmobile AUTOMOC
  SOURCES
    main.cpp kmobile.cpp kmobileview.cpp kmobileitem.cpp pref.cpp
    kmobileiface.skel kmobile_selectiondialog.ui systemtray.cpp
  LINK kmobiledevice-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kmobiledevice (shared) ####################

tde_add_library( kmobiledevice SHARED AUTOMOC
  SOURCES kmobiledevice.cpp
  LINK kcal-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kmobileclient (shared) ####################

tde_add_library( kmobileclient SHARED AUTOMOC
  SOURCES kmobileclient.cpp
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
